
GammaLib - Action #774

Feature # 692 (Closed): Perform an extensive interface review of all classes

Review sky module classes

02/20/2013 03:16 AM - Knödlseder Jürgen

Status: Closed Start date: 02/20/2013

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 20.00 hours

Target version: 00-08-00   

Description

History

#1 - 02/20/2013 03:17 AM - Knödlseder Jürgen

The following classes have been reviewed:  

Class Comment

GWcsAIT Creation

GWcsAZP Minor revision

GWcsCAR Minor revision

GWcsMER Minor revision

GWcsSTG Minor revision

GWcsTAN Minor revision

GHealpix Renamed from GWcsHPX

GSkyPixel Make class generic for 1D and 2D pixels

GSkymap Use generic 1D and 2D pixels, rename conversion

methods consistently, revise interface

GSkyProjection Renamed GWcs to GSkyProjection

GWcs Renamed GWcslib to GWcs

GWcsRegistry Now only holds WCS projections

GSkyDir Kept as was

#2 - 12/01/2013 10:50 PM - Knödlseder Jürgen

- Status changed from New to In Progress
- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 10

#3 - 12/02/2013 03:47 PM - Knödlseder Jürgen

It should be checked whether GSkyPixel can be generalised to 1D and 2D pixelisations. This would simplify the interface for GSkymap and allow for a

higher level ob abstraction. Generalisation can be achieved by setting for example the y index to -1 and using only the x index of 1D pixelisation.

#4 - 12/03/2013 02:14 AM - Knödlseder Jürgen

- % Done changed from 10 to 60

Knödlseder Jürgen wrote:

It should be checked whether GSkyPixel can be generalised to 1D and 2D pixelisations. This would simplify the interface for GSkymap and allow

for a higher level ob abstraction. Generalisation can be achieved by setting for example the y index to -1 and using only the x index of 1D

pixelisation.

 

GSkyPixel has been made generic. The class can now be used to access pixels in 1D and 2D pixelisations.

#5 - 12/03/2013 09:58 AM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 60 to 100

- Remaining (hours) changed from 20.0 to 0.0

Finished.
